Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 509974

Summary: media-video/libav - Rename "rtmp" USE to "librtmp"
Product: Gentoo Linux Reporter: Uwe L. Korn <uwelk>
Component: [OLD] LibraryAssignee: media-video herd <media-video>
Status: RESOLVED FIXED    
Severity: normal CC: nikoli
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---

Description Uwe L. Korn 2014-05-10 14:24:48 UTC
libav/ffmpeg has a native rtmp implementation in libavformat/rtmp*.{c,h} which is normally used. The rtmp USE does not activate rtmp support but selects to build ffmpeg/libav with the rtmp implementation from librtmp (part of media-video/rtmpdump) instead. It is confusing since the name of the flag suggests that is enables/disables rtmp support completely.
Comment 1 Alexis Ballier gentoo-dev 2015-08-22 10:06:27 UTC
good point; done this for ffmpeg
Comment 2 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2015-08-22 12:19:42 UTC
(In reply to Alexis Ballier from comment #1)
> good point; done this for ffmpeg

You should also update the description in metadata.xml because right now it suggests it's the only way of enabling rtmp.

That said, shouldn't librtmp be on by default? I don't know what quality the bundled implementation is but I'd guess external libraries are usually a better choice.
Comment 3 Alexis Ballier gentoo-dev 2015-08-22 12:47:28 UTC
(In reply to Michał Górny from comment #2)
> (In reply to Alexis Ballier from comment #1)
> > good point; done this for ffmpeg
> 
> You should also update the description in metadata.xml because right now it
> suggests it's the only way of enabling rtmp.

indeed, fixed that

> That said, shouldn't librtmp be on by default? I don't know what quality the
> bundled implementation is but I'd guess external libraries are usually a
> better choice.

I wouldn't bet on this :) sometimes they're just here for the sake of having a comparison.
Comment 4 Larry the Git Cow gentoo-dev 2020-04-26 15:24:17 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ae1063b59ef317fdc6dd640b60437f6fb143a2ac

commit ae1063b59ef317fdc6dd640b60437f6fb143a2ac
Author:     Mikle Kolyada <zlogene@gentoo.org>
AuthorDate: 2020-04-26 15:14:48 +0000
Commit:     Mikle Kolyada <zlogene@gentoo.org>
CommitDate: 2020-04-26 15:22:46 +0000

    media-video/libav: remove last-rited pkg
    
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=452482
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=458768
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=470764
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=499256
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=509974
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=519602
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=525070
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=555114
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=564040
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=587054
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=588986
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=701952
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=538790
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=711206
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=489922
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=409957
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=445854
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=474408
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=509294
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=522350
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=546080
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=588482
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=603726
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=694082
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=634102
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=542186
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=635524
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=651218
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=651220
    
    Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>

 media-video/libav/Manifest                    |   3 -
 media-video/libav/files/libav-12.3-x264.patch |  85 -------
 media-video/libav/libav-12.3.ebuild           | 350 --------------------------
 media-video/libav/libav-13_pre20171219.ebuild | 336 -------------------------
 media-video/libav/libav-9999.ebuild           | 339 -------------------------
 media-video/libav/metadata.xml                |  35 ---
 6 files changed, 1148 deletions(-)